Subject: Re: [PATCH 2/3] KVM: arm/arm64: vgic: Fix some comments typo

From: Marc Zyngier <[email-masked]>
Date: Tue, 29 Oct 2019 13:22:30 +0000

On Tue, 29 Oct 2019 12:45:15 +0000,
Zenghui Yu <[email-masked]> wrote:
> 
> On 2019/10/29 17:04, Marc Zyngier wrote:
> > Hi Zenghui,
> > 
> > On Tue, 29 Oct 2019 07:19:18 +0000,
> > Zenghui Yu <[email-masked]> wrote:
> >> 
> >> s/vgic_its_save_pending_tables/vgic_v3_save_pending_tables/
> >> s/then/the/
> >> 
> >> Signed-off-by: Zenghui Yu <[email-masked]>
> >> ---
> >>   include/kvm/arm_vgic.h      | 2 +-
> >>   virt/kvm/arm/vgic/vgic-v3.c | 2 +-
> >>   virt/kvm/arm/vgic/vgic-v4.c | 2 +-
> >>   3 files changed, 3 insertions(+), 3 deletions(-)
> >> 
> >> diff --git a/include/kvm/arm_vgic.h b/include/kvm/arm_vgic.h
> >> index 0fb240ec0a2a..01f8b3739a09 100644
> >> --- a/include/kvm/arm_vgic.h
> >> +++ b/include/kvm/arm_vgic.h
> >> @@ -240,7 +240,7 @@ struct vgic_dist {
> >>   	 * Contains the attributes and gpa of the LPI configuration table.
> >>   	 * Since we report GICR_TYPER.CommonLPIAff as 0b00, we can share
> >>   	 * one address across all redistributors.
> >> -	 * GICv3 spec: 6.1.2 "LPI Configuration tables"
> >> +	 * GICv3 spec "LPI Configuration tables"
> 
> Ah, this part shouldn't have been in this patch, as the description in
> the commit message.
> (And I remember the reason is just that, it it "6.1.1" in IHI 0069E but
> "6.1.2" in some older versions.)
> 
> > 
> > Why the change here? Pointing to the chapter in the spec is pretty
> > helpful, given that it is 800 pages long (although it should mention
> > what revision of the spec this refers to). For example, it should say
> > something like "IHI 0069E 6.1.1 ...".
> 
> Yes, I agreed with you.  Marc, please feel free to drop this part,
> or I can resend it with your suggestion.

No need, I'll fix it up locally.

Thanks,

	M.

-- 
Jazz is not dead, it just smells funny.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel